<?php

/* &irsend(ファイル名, ボタン文字列,CSS 文字列); が発見されると呼び出される。ボタンを生成する HTML を返す */
function plugin_irsend_inline() {
  global  $vars,$script;
  $tgl = "irdata\\LMODETGL";
  $args = func_get_args();
  $fn  = $args[0];
  $str = $args[1];
  $stl = $args[2];
  if (!$str) { $str=$fn; }

  $page = $vars['page'];

  if (file_exists($tgl)) {
    // 学習モード時
    $str =
      "<form action='$script' method='post' style='display:inline'>" .
      "<input type='hidden' name='cmd' value='irrec' />" .
      "<input type='hidden' name='str' value='$str' />" .
      "<input type='hidden' name='fn'  value='$fn' />" .
      "<input type='hidden' name='page' value='$page' />" .
      "&nbsp;<input type='submit' value='*$str' style='background-color:pink;$stl' />" .
      "</form>";
  } else {
    // 送信モード時
    $str =
      "<form action='$script' method='post' style='display:inline'>" .
      "<input type='hidden' name='cmd' value='irsend' />" .
      "<input type='hidden' name='str' value='$str' />" .
      "<input type='hidden' name='fn'  value='$fn' />" .
      "<input type='hidden' name='page' value='$page' />" .
      "&nbsp;<input type='submit' value='$str' style='$stl' />" .
      "</form>";
  }

  return $str;
}


/* ボタンが押されたときに呼び出される */
function plugin_irsend_action() {

  global  $vars,$script;

  // パラメータの取得
  $str = isset($vars['str']) ? htmlspecialchars($vars['str']) : '';
  $fn  = isset($vars['fn'])  ? htmlspecialchars($vars['fn']) : '';
  
  // コマンドの実行
  $fn_sjis = mb_convert_encoding($fn,"CP932", "UTF-8");  // 日本語ファイル名を SJIS に
  system("irdata\\V-IR.EXE S irdata\\$fn_sjis", $result);
    
  /* msg でタイトル, body で本文を指定 */
  //$getcwd = getcwd();
  //return array('msg' => "プラグインの結果", 'body' => "$getcwd: 入力された文字列は $fn です。<BR><A HREF='/wiki'>戻る</A>");

  /* 空配列を返すと呼び出し元のページが表示される*/
  if ($result==0) {
	  return array('msg'=>'', 'body'=>'');
  } else {
  
	  /* msg でタイトル, body で本文を指定 */
	  $link = $script . '?' . $vars['page'];
	  $cwd = getcwd();
	  $str = "'$fn' を送信できませんでした。次の項目を確認して下さい<UL>" .
	         "<LI>赤外線送受信モジュールは OS に正常に認識されていますか</LI>" .
	         "<LI>データディレクトリ($cwd/irdata/)は存在していますか</LI>" .
	         "<LI>コマンド($cwd/irdata/V-IR)は存在していますか</LI>" .
	         "<LI>コマンド($cwd/irdata/V-IR)は root に setuid されていますか(UNIX の場合)</LI>" .
	         "</UL><BR><A HREF='$link' alt='$link'>戻る</a>";
	  return array('msg' =>  "赤外線信号の送信", 'body' => $str);
  }

}
?>
